> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /trademe/properties

> Get full TradeMe property listing details by listing ID (or listing URL): address, price and sale method, bedrooms/bathrooms/parking, floor and land area, property type, council valuation, certificate of title, broadband availability, description, photo gallery, open-home times, in-zone local schools and the advertiser (private member and/or licensed real-estate agency with its agents).

**Price:** 5 credits

**⚠️ Common errors:** 412: Listing not found (well-formed but nonexistent, expired or removed listing)



## OpenAPI

````yaml /openapi/real-estate.json post /api/trademe/properties
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/trademe/properties:
    post:
      tags:
        - /trademe
      summary: /trademe/properties
      description: >-
        Get full TradeMe property listing details by listing ID (or listing
        URL): address, price and sale method, bedrooms/bathrooms/parking, floor
        and land area, property type, council valuation, certificate of title,
        broadband availability, description, photo gallery, open-home times,
        in-zone local schools and the advertiser (private member and/or licensed
        real-estate agency with its agents).


        **Price:** 5 credits


        **⚠️ Common errors:** 412: Listing not found (well-formed but
        nonexistent, expired or removed listing)
      operationId: __api_trademe_properties_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TrademePropertiesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/TrademeListing'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    TrademePropertiesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        listing:
          type: string
          minLength: 1
      type: object
      required:
        - listing
    TrademeListing:
      properties:
        '@type':
          type: string
          default: TrademeListing
        id:
          type: integer
        url:
          anyOf:
            - type: string
            - type: 'null'
        category_name:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - type: string
            - type: 'null'
        suburb:
          anyOf:
            - type: string
            - type: 'null'
        price_display:
          anyOf:
            - type: string
            - type: 'null'
        sale_method:
          anyOf:
            - type: string
            - type: 'null'
        sale_date:
          anyOf:
            - type: string
            - type: 'null'
        address:
          anyOf:
            - type: string
            - type: 'null'
        district:
          anyOf:
            - type: string
            - type: 'null'
        bedrooms:
          anyOf:
            - type: integer
            - type: 'null'
        bathrooms:
          anyOf:
            - type: integer
            - type: 'null'
        ensuites:
          anyOf:
            - type: integer
            - type: 'null'
        toilets:
          anyOf:
            - type: integer
            - type: 'null'
        garage_parking:
          anyOf:
            - type: integer
            - type: 'null'
        off_street_parking:
          anyOf:
            - type: integer
            - type: 'null'
        property_type:
          anyOf:
            - type: string
            - type: 'null'
        ownership_type:
          anyOf:
            - type: string
            - type: 'null'
        floor_area:
          anyOf:
            - type: string
            - type: 'null'
        land_area:
          anyOf:
            - type: string
            - type: 'null'
        decade_built:
          anyOf:
            - type: string
            - type: 'null'
        wall_material:
          anyOf:
            - type: string
            - type: 'null'
        roof_material:
          anyOf:
            - type: string
            - type: 'null'
        capital_value:
          anyOf:
            - type: string
            - type: 'null'
        land_value:
          anyOf:
            - type: string
            - type: 'null'
        improvement_value:
          anyOf:
            - type: string
            - type: 'null'
        certificate_of_title:
          anyOf:
            - type: string
            - type: 'null'
        legal_description:
          anyOf:
            - type: string
            - type: 'null'
        broadband:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        view_count:
          anyOf:
            - type: integer
            - type: 'null'
        bidder_and_watcher_count:
          anyOf:
            - type: integer
            - type: 'null'
        listed_at:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        images:
          items:
            type: string
          type: array
          default: []
        broadband_technologies:
          items:
            $ref: '#/components/schemas/TrademeBroadbandTechnology'
          type: array
          default: []
        attributes:
          items:
            $ref: '#/components/schemas/TrademeListingAttribute'
          type: array
          default: []
        open_homes:
          items:
            $ref: '#/components/schemas/TrademeOpenHome'
          type: array
          default: []
        recent_local_sales:
          items:
            $ref: '#/components/schemas/TrademeRecentSale'
          type: array
          default: []
        schools:
          items:
            $ref: '#/components/schemas/TrademeSchool'
          type: array
          default: []
        member:
          anyOf:
            - $ref: '#/components/schemas/TrademeMember'
            - type: 'null'
        agency:
          anyOf:
            - $ref: '#/components/schemas/TrademeAgency'
            - type: 'null'
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    TrademeBroadbandTechnology:
      properties:
        '@type':
          type: string
          default: TrademeBroadbandTechnology
        name:
          type: string
        availability:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
    TrademeListingAttribute:
      properties:
        '@type':
          type: string
          default: TrademeListingAttribute
        name:
          type: string
        value:
          type: string
        source:
          anyOf:
            - type: string
            - type: 'null'
        display_name:
          anyOf:
            - type: string
            - type: 'null'
        display_group:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - name
        - value
    TrademeOpenHome:
      properties:
        '@type':
          type: string
          default: TrademeOpenHome
        start_at:
          anyOf:
            - type: string
            - type: 'null'
        end_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    TrademeRecentSale:
      properties:
        '@type':
          type: string
          default: TrademeRecentSale
        address:
          type: string
        sale_price:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - address
    TrademeSchool:
      properties:
        '@type':
          type: string
          default: TrademeSchool
        id:
          type: integer
        name:
          type: string
        institution_type:
          anyOf:
            - type: string
            - type: 'null'
        authority:
          anyOf:
            - type: string
            - type: 'null'
        gender:
          anyOf:
            - type: string
            - type: 'null'
        school_roll:
          anyOf:
            - type: integer
            - type: 'null'
        age_groups:
          items:
            type: integer
          type: array
          default: []
        street_address:
          anyOf:
            - type: string
            - type: 'null'
        suburb:
          anyOf:
            - type: string
            - type: 'null'
        city_district:
          anyOf:
            - type: string
            - type: 'null'
        post_code:
          anyOf:
            - type: string
            - type: 'null'
        latitude:
          anyOf:
            - type: number
            - type: 'null'
        longitude:
          anyOf:
            - type: number
            - type: 'null'
        distance:
          anyOf:
            - type: integer
            - type: 'null'
        in_zone:
          anyOf:
            - type: boolean
            - type: 'null'
      type: object
      required:
        - id
        - name
    TrademeMember:
      properties:
        '@type':
          type: string
          default: TrademeMember
        id:
          type: integer
        nickname:
          anyOf:
            - type: string
            - type: 'null'
        suburb:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - type: string
            - type: 'null'
        feedback_count:
          anyOf:
            - type: integer
            - type: 'null'
        unique_positive:
          anyOf:
            - type: integer
            - type: 'null'
        unique_negative:
          anyOf:
            - type: integer
            - type: 'null'
        is_address_verified:
          anyOf:
            - type: boolean
            - type: 'null'
        is_authenticated:
          anyOf:
            - type: boolean
            - type: 'null'
        is_in_trade:
          anyOf:
            - type: boolean
            - type: 'null'
        joined_at:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - id
    TrademeAgency:
      properties:
        '@type':
          type: string
          default: TrademeAgency
        id:
          type: integer
        name:
          anyOf:
            - type: string
            - type: 'null'
        phone:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        is_real_estate_agency:
          anyOf:
            - type: boolean
            - type: 'null'
        is_licensed:
          anyOf:
            - type: boolean
            - type: 'null'
        agents:
          items:
            $ref: '#/components/schemas/TrademeAgencyAgent'
          type: array
          default: []
      type: object
      required:
        - id
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    TrademeAgencyAgent:
      properties:
        '@type':
          type: string
          default: TrademeAgencyAgent
        full_name:
          type: string
        alias:
          anyOf:
            - type: string
            - type: 'null'
        image:
          anyOf:
            - type: string
            - type: 'null'
        mobile_phone:
          anyOf:
            - type: string
            - type: 'null'
        membership_type:
          anyOf:
            - type: integer
            - type: 'null'
        review_count:
          anyOf:
            - type: integer
            - type: 'null'
        testimonial_count:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
      required:
        - full_name
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````